UI should raise a success notification on adding/updating resources via two-pane

07/24/2014 11:01 AM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1121012 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1121012

Description of problem:

when we add/update OS parameters, then on submation the form gets closed and we don't know whether parameter is added or

updated unless we navigate back to 'Parameters' tab.

So UI should raise a success notification saying "Successfully Updated os <name>"

Version-Release number of selected component (if applicable):

sat6 GA snap1

How reproducible:

always

Steps to Reproduce:

1. create an OS

2. Add/update OS parameter

3.

Actual results:

No success notification, no way to know whether parameter was added/updated unless we navigate back to 'parameters' tab

Expected results:

UI should raise a success notification when we update anything under OS

Additional info:

History

#1 - 07/24/2014 11:02 AM - Dominic Cleal

- Subject changed from UI should raise a success notification on adding/updating OS parameters to UI should raise a success notification on

adding/updating resources via two-pane

- Category set to Web Interface

This seems to happen for all two-pane forms, no updated/created notifications/flashes are shown to the user.

#2 - 01/18/2015 07:36 AM - Tom Caspy

- File Screen Shot 2015-01-18 at 2.34.08 PM.png added

just tested this for addition/update of parameters and it seems to work.

thing is, the notification disappears quite quickly, as seen in the screenshot - I've barely had enough time to capture it, caught it in middle of fading

out.

#3 - 01/19/2015 04:17 AM - Dominic Cleal

- Status changed from New to Resolved
Yep, it does indeed seem to work now.

Files

Screen Shot 2015-01-18 at 2.34.08 PM.png 91.5 KB 01/18/2015 Tom Caspy
